A Sandcastle Documented Class Library
A Sandcastle Documented Class Library
butterflow_ui
InverseBoolConverter Class
InverseBoolConverter Methods
Convert Method
ConvertBack Method

# InverseBoolConverter Convert Method

Converts a boolean to its inverse.

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public Object Convert(
    	Object value,
    	Type targetType,
    	Object parameter,
    	CultureInfo culture
    )

#### Parameters

value
  Type: System
  Object
  The value produced by the binding source.
targetType
  Type: System
  Type
  The type of the binding target property.
parameter
  Type: System
  Object
  The converter parameter to use.
culture
  Type: System.Globalization
  CultureInfo
  The culture to use in the converter.

#### Return Value

Type: Object
A converted value. If the method returns
, the valid null value is used.

#### Implements

IValueConverter
Convert(Object, Type, Object, CultureInfo)
Exceptions

Exception | Condition
--- | ---
InvalidCastException | Thrown when an object cannot be cast to a required type.

See Also

#### Reference

InverseBoolConverter Class
butterflow_ui Namespace